# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "kitsune2_showcase"
version = "0.1.14"
authors = ["Holochain Core Dev Team <devcore@holochain.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "kitsune2 p2p / dht showcase app"
homepage = "https://github.com/holochain/kitsune2"
documentation = "https://docs.rs/kitsune2_showcase"
readme = "README.md"
keywords = [
    "holochain",
    "kitsune",
    "p2p",
    "dht",
    "networking",
]
categories = ["network-programming"]
license = "Apache-2.0"

[[bin]]
name = "kitsune2_showcase"
path = "src/main.rs"

[dependencies.bytes]
version = "1.8.0"
features = ["serde"]

[dependencies.clap]
version = "4.5.21"
features = [
    "derive",
    "wrap_help",
]

[dependencies.kitsune2]
version = "0.1.9"

[dependencies.kitsune2_api]
version = "0.1.9"

[dependencies.kitsune2_core]
version = "0.1.9"

[dependencies.kitsune2_transport_tx5]
version = "0.1.9"

[dependencies.rustls]
version = "0.23"
default-features = false

[dependencies.rustyline]
version = "15.0.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.132"

[dependencies.sha2]
version = "0.10.8"

[dependencies.tokio]
version = "1.41.1"
features = ["full"]
